package client.renderer.blockmodel;

import java.util.List;

import client.renderer.texture.Sprite;
import common.model.GuiPosition;
import common.util.Facing;

public interface IBakedModel
{
    List<BakedQuad> getFace(Facing facing);

    List<BakedQuad> getQuads();

    boolean isGui3d();

    boolean isBuiltin();

    Sprite getBaseTexture();

    GuiPosition getTransforms();
}
